# Plan: Hide Notifications WP Plugin

Ziel ist es, ein einfaches WordPress-Plugin zu erstellen, das alle Admin-Benachrichtigungen (notices) im Backend global ausblendet.

## Schritte

1.  **Plugin-Datei erstellen:**
    *   Erstelle eine Hauptdatei für das Plugin: `hide-notifications-wp.php`.

2.  **Plugin-Header hinzufügen:**
    *   Füge den standardmäßigen WordPress-Plugin-Header in `hide-notifications-wp.php` ein:
        ```php
        <?php
        /**
         * Plugin Name:       Hide Notifications WP
         * Plugin URI:        (Optional)
         * Description:       Blendet alle Admin-Benachrichtigungen (notices) im WordPress-Backend aus.
         * Version:           1.0.0
         * Author:            Livvux (Lucas Kleipödszus)
         * Author URI:        https://livvux.com
         * License:           GPLv2 or later
         * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
         * Text Domain:       hide-notifications-wp
         * Domain Path:       /languages
         */
        ```

3.  **CSS zum Ausblenden hinzufügen:**
    *   Erstelle eine PHP-Funktion, die das notwendige CSS generiert.
    *   Hänge diese Funktion an den `admin_head` Action-Hook.
    *   Das CSS wird die folgenden Selektoren mit `display: none !important;` versehen:
        *   `#wpbody-content .notice`
        *   `#wpbody-content .update-nag`
        *   `#wpbody-content .error`
        *   `#wpbody-content .updated`
        *   `#wpbody-content .warning`

## Visualisierung

```mermaid
graph TD
    A[Plugin wird aktiviert] --> B{WordPress lädt Admin-Seite};
    B -- Hook --> C(admin_head wird ausgelöst);
    C --> D[Plugin fügt CSS hinzu];
    D --> E[Browser rendert Seite];
    E --> F[Alle Benachrichtigungen sind unsichtbar];
```

## Ergebnis

Ein schlankes Plugin (eine PHP-Datei), das effektiv alle Admin-Benachrichtigungen über CSS ausblendet.