<?php
/**
 * Plugin Name:       Hide Notifications WP
 * Plugin URI:        (Optional)
 * Description:       Blendet alle Admin-Benachrichtigungen (notices) im WordPress-Backend aus.
 * Version:           1.0.0
 * Author:            Livvux (Lucas Kleipödszus)
 * Author URI:        https://livvux.com
 * License:           GPLv2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       hide-notifications-wp
 * Domain Path:       /languages
 */

// Direkten Zugriff auf die Datei verhindern
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

/**
 * Fügt CSS zum Admin-Head hinzu, um Benachrichtigungen auszublenden.
 */
function hnw_hide_admin_notices_css() {
    echo '<style>
        #wpbody-content .notice,
        #wpbody-content .update-nag,
        #wpbody-content .error,
        #wpbody-content .updated,
        #wpbody-content .warning {
            display: none !important;
        }
    </style>';
}
add_action( 'admin_head', 'hnw_hide_admin_notices_css' );

?>